import * as $dara from '@darabonba/typescript';
export declare class StopInstancesResponseBodyInstanceResponsesInstanceResponse extends $dara.Model {
    code?: string;
    currentStatus?: string;
    instanceId?: string;
    message?: string;
    previousStatus?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class StopInstancesResponseBodyInstanceResponses extends $dara.Model {
    instanceResponse?: StopInstancesResponseBodyInstanceResponsesInstanceResponse[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class StopInstancesResponseBody extends $dara.Model {
    instanceResponses?: StopInstancesResponseBodyInstanceResponses;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 1C488B66-B819-4D14-8711-C4EAAA13AC01
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
